<template>
  <section id="register-page">
    <div class="top-screen">
      <div class="text-box">
        <p></p>
      </div>
    </div>
    <div class="middle-screen"></div>
    <div class="bottom-screen">
      <form>
        <div class="field">
          <p class="control has-icons-left has-icons-right">
            <input
              class="input is-primary"
              type="text"
              placeholder="Username"
              v-model="input.username"
            />
            <span class="icon is-small is-left">
              <font-awesome-icon icon="user" />
            </span>
          </p>
        </div>
        <div class="field">
          <p class="control has-icons-left">
            <input
              class="input is-primary"
              type="password"
              placeholder="Password"
              v-model="input.password"
            />
            <span class="icon is-small is-left">
              <font-awesome-icon icon="key" />
            </span>
          </p>
        </div>
        <div class="field">
          <p class="control">
            <button
              :class="`button is-primary ${isLoading ? 'is-loading' : ''}`"
              type="submit"
              @click="register()"
            >
              <span class="icon is-medium">
                <font-awesome-icon icon="registered" />
              </span>
              <span>Register</span>
            </button>
          </p>
        </div>
        <div class="field">
          <p class="control">
            <button
              class="button is-success"
              type="button"
              @click="goToLogin()"
              :disabled="isLoading"
            >
              <span class="icon is-medium">
                <font-awesome-icon icon="check" />
              </span>
              <span>Login</span>
            </button>
          </p>
        </div>
      </form>
    </div>
  </section>
</template>

<script>
import router from "../router";
import WriteTextBox from "../helper/writeTextBox";

export default {
  name: "register",
  data: function() {
    return {
      input: {
        username: "",
        password: "",
        error: ""
      },
      isLoading: false
    };
  },
  method: {},
  computed: {},
  components: {},
  methods: {
    goToLogin() {
      console.log("coucou")
      router.push("/login");
    },
    register() {
      this.isLoading = true

      var $scope = this;

      this.$userService.register(
        this.input.username,
        this.input.password,
        resp => {
          $scope.isLoading = false
          router.push("/");
        },
        err => {
          $scope.isLoading = false
          this.writeTextBox.run([err]);
        }
      );
    }
  },
  mounted() {
    this.writeTextBox = new WriteTextBox();
    this.writeTextBox.run(["Please register !"]);
  },
  destroyed() {
    this.writeTextBox.destroy();
  }
};
</script>

<style scoped lang="scss">
#register-page {
  .top-screen {
    background-image: url("~@/assets/background-home3.png") !important;
  }
  .bottom-screen {
    button {
      width: 100%;
    }
    // background-image: url("~@/assets/background-bottom-screen2.png") !important;
  }
}
</style>
